Skip to main content
GET
/
report
/
generate
/
{reportIdentifier}
Retrieve report generation status
curl --request GET \
  --url https://operator-financial-reporting.staging.ezprk.dev/report/generate/{reportIdentifier} \
  --header 'X-Authorization: <api-key>'
import requests

url = "https://operator-financial-reporting.staging.ezprk.dev/report/generate/{reportIdentifier}"

headers = {"X-Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};

fetch('https://operator-financial-reporting.staging.ezprk.dev/report/generate/{reportIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Your report is being generated. Check for the report status after 30 seconds.",
  "retryAfter": 30,
  "_links": {
    "self": {
      "href": "https://operator-financial-reporting.staging.ezprk.dev/report/generate/{reportIdentifier}"
    }
  }
}
{
"message": "Your report is ready",
"_links": {
"self": {
"href": "https://operator-financial-reporting.staging.ezprk.dev/report/generate/{reportIdentifier}"
},
"report": {
"href": "https://operator-financial-reporting.staging.ezprk.dev/report/{reportIdentifier}"
}
}
}

Authorizations

X-Authorization
string
header
required

For the header value, use the format: Bearer YOUR-JWT-TOKEN. You can get the token from the auth/v1 endpoint.

Path Parameters

reportIdentifier
string
required

The report identifier from the report generation initiation response

Response

Provides the current status of report generation. Includes self-reference links for in-progress report or error details for failed report.